{"openapi":"3.0.0","servers":[],"info":{"description":"1Jour1Métier API","version":"1.0.0","title":"1Jour1Métier API"},"tags":[{"name":"message","description":"Related to messages"},{"name":"admin","description":"Secured Admin-only calls"},{"name":"ia","description":"Related to AI algorithms & data"}],"paths":{"/message/{id}":{"post":{"tags":["message"],"parameters":[{"in":"path","name":"id","required":false,"schema":{"type":"integer"},"description":"If an id is passed it will answer to a conversation only a body is required"}],"summary":"Create / Answer a conversation","operationId":"sendMessage","responses":{"200":{"description":"conversation created"}},"requestBody":{"description":"create an conversation","required":true,"content":{"application/json":{"schema":{"properties":{"to":{"type":"string","example":"kevin.barroso@epitech.eu roman.lancia@epitech.eu"},"title":{"type":"string","example":"Titre"},"body":{"type":"string","example":"Hellow world"}}}}}}},"get":{"description":"get the conversation with her id","tags":["message"],"responses":{"200":{"description":"get an array containing the messages"}}},"delete":{"summary":"delete a message","description":"delete a message by his id","tags":["message"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"integer"},"description":"The message ID"}],"responses":{"200":{"description":"message deleted"}}}},"/admin/entity":{"get":{"tags":["admin"],"summary":"Get legal entities","description":"Get all legal entities stored in the database.\n","responses":{"200":{"description":"Successful operation"}}}},"/admin/entity/add":{"post":{"tags":["admin"],"summary":"Add legal entity","description":"Create a new legal entity.\n","requestBody":{"description":"In that request, the 'type' value can be SCHOOL or COMPANY.","required":true,"content":{"application/json":{"schema":{"properties":{"name":{"type":"string","example":"EPITECH"},"address":{"type":"string","example":"4 rue du dôme, 67000 Strasbourg"},"description":{"type":"string","example":"L'école pour l'informatique et les nouvelles technologies (EPITECH) est un établissement d'enseignement supérieur privé reconnu par l'État créé en 1999"},"staff_leader_id":{"type":"string","example":"5efb0027854ace0025469f3a"},"type":{"type":"string","example":"SCHOOL"}}}}}},"responses":{"200":{"description":"Successful operation"}}}},"/admin/entity/update":{"post":{"tags":["admin"],"summary":"Update legal entity","description":"Update an existing legal entity.\n","requestBody":{"description":"Only specify the items you want to update. Don't forget to specify the 'id' value of the legal entity you want to update.","required":true,"content":{"application/json":{"schema":{"properties":{"id":{"type":"string","example":"5efb0027854ace0025469f3a"},"name":{"type":"string","example":"EPITA"}}}}}},"responses":{"200":{"description":"Successful operation"}}}},"/admin/entity/delete":{"post":{"tags":["admin"],"summary":"Delete legal entity","description":"Delete an existing legal entity.\n","requestBody":{"description":"Don't forget to specify the 'id' value of the legal entity you want to delete.","required":true,"content":{"application/json":{"schema":{"properties":{"id":{"type":"string","example":"5efb0027854ace0025469f3a"}}}}}},"responses":{"200":{"description":"Successful operation"}}}},"/admin/entity/picture/{id}":{"get":{"tags":["admin"],"summary":"Get legal entity picture","description":"Get the picture of a specific legal entity.\n","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true,"description":"Entity id"}],"responses":{"200":{"description":"Picture data"}}}},"/admin/entity/picture":{"post":{"tags":["admin"],"summary":"Upload picture to legal entity","description":"Upload a picture to a specific legal entity.\n","requestBody":{"description":"Don't forget to specify the 'id' value of the entity you want to upload a picture.","required":true,"content":{"application/json":{"schema":{"properties":{"id":{"type":"string","example":"5efb0027854ace0025469f3a"},"picture":{"type":"object","example":"logo.png"}}}}}},"responses":{"200":{"description":"Successful operation"}}}},"/ia/jobs":{"get":{"tags":["ia"],"summary":"Get list of jobs","description":"By passing in the appropriate parameters, you can search and filter for jobs stored in the database.\n","parameters":[{"name":"start","in":"query","description":"Optional. An integer that specifies where to start the selection.","required":false,"schema":{"type":"integer"}},{"name":"end","in":"query","description":"Optional. An integer that specifies where to end the selection.","required":false,"schema":{"type":"integer"}},{"name":"fields","in":"query","description":"Optional. A comma-separated list of fields that will be returned in the response (ex \"code_rome,appellations,domaine,definition\"). If omitted, all fields are returned.","required":false,"schema":{"type":"string"}},{"name":"keyword","in":"query","description":"Optional. Filter jobs by keyword.","required":false,"schema":{"type":"string"}},{"name":"category","in":"query","description":"Optional. Filter jobs by category with the category letter identifier:<br><br>A = \"Agriculture et Pêche, Espaces naturels et Espaces verts, Soins aux animaux\"<br>B = \"Arts et Façonnage d\\'ouvrages d\\'art\"<br>C = \"Banque, Assurance, Immobilier\"<br>D = \"Commerce, Vente et Grande distribution\"<br>E = \"Communication, Média et Multimédia\"<br>F = \"Construction, Bâtiment et Travaux publics\"<br>G = \"Hôtellerie-Restauration, Tourisme, Loisirs et Animation\"<br>H = \"Industrie\"<br>I = \"Installation et Maintenance\"<br>J = \"Santé\"<br>K = \"Services à la personne et à la collectivité\"<br>L = \"Spectacle\"<br>M = \"Support à l\\'entreprise\"<br>N = \"Transport et Logistique\"","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation"}}}}}}